<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:26 CEST 2019 -->
<title>AbstractProtocolDescriptor (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="AbstractProtocolDescriptor (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":6,"i7":10,"i8":10,"i9":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireStatement.html" title="class in org.firebirdsql.gds.ng.wire"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/firebirdsql/gds/ng/wire/AbstractWireOperations.html" title="class in org.firebirdsql.gds.ng.wire"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/firebirdsql/gds/ng/wire/AbstractProtocolDescriptor.html" target="_top">Frames</a></li>
<li><a href="AbstractProtocolDescriptor.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.gds.ng.wire</div>
<h2 title="Class AbstractProtocolDescriptor" class="title">Class AbstractProtocolDescriptor</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.firebirdsql.gds.ng.wire.AbstractProtocolDescriptor</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html" title="interface in org.firebirdsql.gds.ng.wire">ProtocolDescriptor</a></dd>
</dl>
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../../../org/firebirdsql/gds/ng/wire/version10/Version10Descriptor.html" title="class in org.firebirdsql.gds.ng.wire.version10">Version10Descriptor</a>, <a href="../../../../../org/firebirdsql/gds/ng/wire/version11/Version11Descriptor.html" title="class in org.firebirdsql.gds.ng.wire.version11">Version11Descriptor</a>, <a href="../../../../../org/firebirdsql/gds/ng/wire/version12/Version12Descriptor.html" title="class in org.firebirdsql.gds.ng.wire.version12">Version12Descriptor</a>, <a href="../../../../../org/firebirdsql/gds/ng/wire/version13/Version13Descriptor.html" title="class in org.firebirdsql.gds.ng.wire.version13">Version13Descriptor</a></dd>
</dl>
<hr>
<br>
<pre>public abstract class <span class="typeNameLabel">AbstractProtocolDescriptor</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>
implements <a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html" title="interface in org.firebirdsql.gds.ng.wire">ProtocolDescriptor</a></pre>
<div class="block">Abstract class to simplify implementation of <a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html" title="interface in org.firebirdsql.gds.ng.wire"><code>ProtocolDescriptor</code></a></div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>3.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd><a href="mailto:mrotteveel@users.sourceforge.net">Mark Rotteveel</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier</th>
<th class="colLast" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/AbstractProtocolDescriptor.html#AbstractProtocolDescriptor-int-int-int-int-int-">AbstractProtocolDescriptor</a></span>(int&nbsp;version,
                          int&nbsp;architecture,
                          int&nbsp;minimumType,
                          int&nbsp;maximumType,
                          int&nbsp;weight)</code>
<div class="block">Initializes the basic ProtocolDescriptor fields.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/firebirdsql/gds/ServiceParameterBuffer.html" title="interface in org.firebirdsql.gds">ServiceParameterBuffer</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/AbstractProtocolDescriptor.html#createAttachServiceParameterBuffer-org.firebirdsql.gds.ng.wire.WireServiceConnection-">createAttachServiceParameterBuffer</a></span>(<a href="../../../../../org/firebirdsql/gds/ng/wire/WireServiceConnection.html" title="class in org.firebirdsql.gds.ng.wire">WireServiceConnection</a>&nbsp;connection)</code>
<div class="block">Create an attach <a href="../../../../../org/firebirdsql/gds/ServiceParameterBuffer.html" title="interface in org.firebirdsql.gds"><code>ServiceParameterBuffer</code></a> implementation and populate it with supported properties for
 this protocol version.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html" title="interface in org.firebirdsql.gds">DatabaseParameterBuffer</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/AbstractProtocolDescriptor.html#createDatabaseParameterBuffer-org.firebirdsql.gds.ng.wire.WireDatabaseConnection-">createDatabaseParameterBuffer</a></span>(<a href="../../../../../org/firebirdsql/gds/ng/wire/WireDatabaseConnection.html" title="class in org.firebirdsql.gds.ng.wire">WireDatabaseConnection</a>&nbsp;connection)</code>
<div class="block">Create <a href="../../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html" title="interface in org.firebirdsql.gds"><code>DatabaseParameterBuffer</code></a> implementation and populate it with supported
 properties for this protocol version.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/AbstractProtocolDescriptor.html#equals-java.lang.Object-">equals</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;other)</code></td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/AbstractProtocolDescriptor.html#getArchitecture--">getArchitecture</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/AbstractProtocolDescriptor.html#getMaximumType--">getMaximumType</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/AbstractProtocolDescriptor.html#getMinimumType--">getMinimumType</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>protected abstract <a href="../../../../../org/firebirdsql/gds/ng/ParameterConverter.html" title="interface in org.firebirdsql.gds.ng">ParameterConverter</a>&lt;<a href="../../../../../org/firebirdsql/gds/ng/wire/WireDatabaseConnection.html" title="class in org.firebirdsql.gds.ng.wire">WireDatabaseConnection</a>,<a href="../../../../../org/firebirdsql/gds/ng/wire/WireServiceConnection.html" title="class in org.firebirdsql.gds.ng.wire">WireServiceConnection</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/AbstractProtocolDescriptor.html#getParameterConverter--">getParameterConverter</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/AbstractProtocolDescriptor.html#getVersion--">getVersion</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/AbstractProtocolDescriptor.html#getWeight--">getWeight</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/AbstractProtocolDescriptor.html#hashCode--">hashCode</a></span>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.gds.ng.wire.ProtocolDescriptor">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.firebirdsql.gds.ng.wire.<a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html" title="interface in org.firebirdsql.gds.ng.wire">ProtocolDescriptor</a></h3>
<code><a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html#createAsynchronousChannel-org.firebirdsql.gds.ng.wire.FbWireDatabase-">createAsynchronousChannel</a>, <a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html#createBlrCalculator-org.firebirdsql.gds.ng.wire.FbWireDatabase-">createBlrCalculator</a>, <a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html#createDatabase-org.firebirdsql.gds.ng.wire.WireDatabaseConnection-">createDatabase</a>, <a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html#createInputBlob-org.firebirdsql.gds.ng.wire.FbWireDatabase-org.firebirdsql.gds.ng.wire.FbWireTransaction-org.firebirdsql.gds.BlobParameterBuffer-long-">createInputBlob</a>, <a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html#createOutputBlob-org.firebirdsql.gds.ng.wire.FbWireDatabase-org.firebirdsql.gds.ng.wire.FbWireTransaction-org.firebirdsql.gds.BlobParameterBuffer-">createOutputBlob</a>, <a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html#createService-org.firebirdsql.gds.ng.wire.WireServiceConnection-">createService</a>, <a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html#createServiceParameterBuffer-org.firebirdsql.gds.ng.wire.WireServiceConnection-">createServiceParameterBuffer</a>, <a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html#createServiceRequestBuffer-org.firebirdsql.gds.ng.wire.WireServiceConnection-">createServiceRequestBuffer</a>, <a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html#createStatement-org.firebirdsql.gds.ng.wire.FbWireDatabase-">createStatement</a>, <a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html#createTransaction-org.firebirdsql.gds.ng.wire.FbWireDatabase-int-org.firebirdsql.gds.ng.TransactionState-">createTransaction</a>, <a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html#createWireOperations-org.firebirdsql.gds.ng.wire.WireConnection-org.firebirdsql.gds.ng.WarningMessageCallback-java.lang.Object-">createWireOperations</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="AbstractProtocolDescriptor-int-int-int-int-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>AbstractProtocolDescriptor</h4>
<pre>protected&nbsp;AbstractProtocolDescriptor(int&nbsp;version,
                                     int&nbsp;architecture,
                                     int&nbsp;minimumType,
                                     int&nbsp;maximumType,
                                     int&nbsp;weight)</pre>
<div class="block">Initializes the basic ProtocolDescriptor fields.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>version</code> - Version of the protocol</dd>
<dd><code>architecture</code> - Architecture of the protocol</dd>
<dd><code>minimumType</code> - Minimum supported protocol type</dd>
<dd><code>maximumType</code> - Maximum supported protocol type</dd>
<dd><code>weight</code> - Preference weight</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getVersion--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getVersion</h4>
<pre>public final&nbsp;int&nbsp;getVersion()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html#getVersion--">getVersion</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html" title="interface in org.firebirdsql.gds.ng.wire">ProtocolDescriptor</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The protocol version</dd>
</dl>
</li>
</ul>
<a name="getArchitecture--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getArchitecture</h4>
<pre>public final&nbsp;int&nbsp;getArchitecture()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html#getArchitecture--">getArchitecture</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html" title="interface in org.firebirdsql.gds.ng.wire">ProtocolDescriptor</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Protocol architecture</dd>
</dl>
</li>
</ul>
<a name="getMinimumType--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMinimumType</h4>
<pre>public final&nbsp;int&nbsp;getMinimumType()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html#getMinimumType--">getMinimumType</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html" title="interface in org.firebirdsql.gds.ng.wire">ProtocolDescriptor</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Minimum supported protocol type</dd>
</dl>
</li>
</ul>
<a name="getMaximumType--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMaximumType</h4>
<pre>public final&nbsp;int&nbsp;getMaximumType()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html#getMaximumType--">getMaximumType</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html" title="interface in org.firebirdsql.gds.ng.wire">ProtocolDescriptor</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Maximum supported protocol type</dd>
</dl>
</li>
</ul>
<a name="getWeight--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getWeight</h4>
<pre>public final&nbsp;int&nbsp;getWeight()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html#getWeight--">getWeight</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html" title="interface in org.firebirdsql.gds.ng.wire">ProtocolDescriptor</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Preference weight</dd>
</dl>
</li>
</ul>
<a name="hashCode--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hashCode</h4>
<pre>public final&nbsp;int&nbsp;hashCode()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a></code>&nbsp;in class&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Hash code based on <code>version</code>, <code>architecture</code>, <code>minimumType</code>, <code>maximumType</code> and
 <code>weight</code>.</dd>
</dl>
</li>
</ul>
<a name="equals-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>equals</h4>
<pre>public&nbsp;boolean&nbsp;equals(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;other)</pre>
<div class="block">
 <p>
 Default implementation for the rules described in <a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html" title="interface in org.firebirdsql.gds.ng.wire"><code>ProtocolDescriptor</code></a>. Returns <code>true</code> if the other
 object is of the exact same class as this instance.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a></code>&nbsp;in class&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></dd>
</dl>
</li>
</ul>
<a name="createDatabaseParameterBuffer-org.firebirdsql.gds.ng.wire.WireDatabaseConnection-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createDatabaseParameterBuffer</h4>
<pre>public final&nbsp;<a href="../../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html" title="interface in org.firebirdsql.gds">DatabaseParameterBuffer</a>&nbsp;createDatabaseParameterBuffer(<a href="../../../../../org/firebirdsql/gds/ng/wire/WireDatabaseConnection.html" title="class in org.firebirdsql.gds.ng.wire">WireDatabaseConnection</a>&nbsp;connection)
                                                            throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html#createDatabaseParameterBuffer-org.firebirdsql.gds.ng.wire.WireDatabaseConnection-">ProtocolDescriptor</a></code></span></div>
<div class="block">Create <a href="../../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html" title="interface in org.firebirdsql.gds"><code>DatabaseParameterBuffer</code></a> implementation and populate it with supported
 properties for this protocol version.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html#createDatabaseParameterBuffer-org.firebirdsql.gds.ng.wire.WireDatabaseConnection-">createDatabaseParameterBuffer</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html" title="interface in org.firebirdsql.gds.ng.wire">ProtocolDescriptor</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>connection</code> - Connection</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>DatabaseParameterBuffer implementation</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="createAttachServiceParameterBuffer-org.firebirdsql.gds.ng.wire.WireServiceConnection-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createAttachServiceParameterBuffer</h4>
<pre>public final&nbsp;<a href="../../../../../org/firebirdsql/gds/ServiceParameterBuffer.html" title="interface in org.firebirdsql.gds">ServiceParameterBuffer</a>&nbsp;createAttachServiceParameterBuffer(<a href="../../../../../org/firebirdsql/gds/ng/wire/WireServiceConnection.html" title="class in org.firebirdsql.gds.ng.wire">WireServiceConnection</a>&nbsp;connection)
                                                                throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html#createAttachServiceParameterBuffer-org.firebirdsql.gds.ng.wire.WireServiceConnection-">ProtocolDescriptor</a></code></span></div>
<div class="block">Create an attach <a href="../../../../../org/firebirdsql/gds/ServiceParameterBuffer.html" title="interface in org.firebirdsql.gds"><code>ServiceParameterBuffer</code></a> implementation and populate it with supported properties for
 this protocol version.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html#createAttachServiceParameterBuffer-org.firebirdsql.gds.ng.wire.WireServiceConnection-">createAttachServiceParameterBuffer</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html" title="interface in org.firebirdsql.gds.ng.wire">ProtocolDescriptor</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>connection</code> - Connection</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>ServiceParameterBuffer implementation for attach</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="getParameterConverter--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getParameterConverter</h4>
<pre>protected abstract&nbsp;<a href="../../../../../org/firebirdsql/gds/ng/ParameterConverter.html" title="interface in org.firebirdsql.gds.ng">ParameterConverter</a>&lt;<a href="../../../../../org/firebirdsql/gds/ng/wire/WireDatabaseConnection.html" title="class in org.firebirdsql.gds.ng.wire">WireDatabaseConnection</a>,<a href="../../../../../org/firebirdsql/gds/ng/wire/WireServiceConnection.html" title="class in org.firebirdsql.gds.ng.wire">WireServiceConnection</a>&gt;&nbsp;getParameterConverter()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>ParameterConverter</code> for populating the database parameter buffer.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireStatement.html" title="class in org.firebirdsql.gds.ng.wire"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/firebirdsql/gds/ng/wire/AbstractWireOperations.html" title="class in org.firebirdsql.gds.ng.wire"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/firebirdsql/gds/ng/wire/AbstractProtocolDescriptor.html" target="_top">Frames</a></li>
<li><a href="AbstractProtocolDescriptor.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
